<div class="ui grid">
    <div class="three wide column">
        <img class="ui rounded fluid image" src="assets/default-book.png">
  
    </div>
    <div class="seven wide column">
        <div class="ui clearing segment">
            <h1 class="ui left floated header">
              {{book.title}}
            </h1>
          </div>
        <div class="ui large animated list">
            <div class="item">
                <i class="pencil icon"></i>
                <div class="content">
                  <a class="header">Author:</a>
                  <div class="description">{{book.author}}</div>
                </div>
              </div>
              <div class="item">
                  <i class="paperclip icon"></i>
                <div class="content">
                  <a class="header">Genre:</a>
                  <div class="description">{{book.genre}}</div>
                </div>
              </div>
            <div class="item">
              <i class="file icon"></i>
              <div class="content">
                <a class="header">Number of pages:</a>
                <div class="description">{{book.number_of_pages}}</div>
              </div>
            </div>
            <div class="item">
                <i class="book icon"></i>
              <div class="content">
                <a class="header">Publisher:</a>
                <div class="description">{{book.publisher}}</div>
              </div>
            </div>
          </div>

          
            <h3 class="ui dividing header">
              Description:
            </h3>
    
            <p style="white-space: pre-line">{{book.description}}</p>

          
          <div class="ui right aligned container">
            <button class="ui olive button"  (click)="changeReviewFormVisible()">
              Leave a review
            </button>
          </div>

          <div class="ui segment" *ngIf="reviewFormVisible">
            <app-review-form [book]="book"></app-review-form>
          </div>
      
    </div>
    <div class="three wide column">
        <div class="ui center aligned  segment">
            <div class="ui list">
                <div class="item">
                    <div class="ui massive star rating"></div>
                </div>
                <div class="item">
                    Books available:
                </div>
                <div class="item">
                    {{book.books_available}}
                </div>
                
                <div class="item">
                    <button class="ui blue  button" (click)="reserveBook()">
                        <i class="bookmark icon"></i>
                        Reserve a book</button>
                </div>
              </div>
        </div>
    </div>
</div>

<div class="ui modal">
  <i class="close icon"></i>
  <div class="header">
    {{this.reservationMsg}}
  </div>
</div>
